# $Revision: 1.13 $, $Date: 2011/08/10 16:17:13 $
Summary:	The ModPlug mod file playing library
Summary(pl.UTF-8):	ModPlug - biblioteka do odtwarzania plików mod
Name:		libmodplug
Version:	0.8.8.4
Release:	1
License:	Public Domain
Group:		Libraries
Source0:	http://downloads.sourceforge.net/modplug-xmms/%{name}-%{version}.tar.gz
# Source0-md5:	fddc3c704c5489de2a3cf0fedfec59db
URL:		http://modplug-xmms.sourceforge.net/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ModPlug is the mod file playing library. It can play 22 different mod
formats, including: MOD, S3M, XM, IT, 669, AMF (both of them), AMS,
DBM, DMF, DSM, FAR, MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2, PSM.
Sound quality is slightly better than Mikmod and vastly superior over
Winamp.

%description -l pl.UTF-8
Modplug to biblioteka do odtwarzania plików mod. Potrafi odtwarzać 22
różne formaty mod, w tym: MOD, S3M, XM, IT, 669, AMF (obie wersje),
AMS, DBM, DMF, DSM, FAR, MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2,
PSM. Jakość dźwięku jest nieco lepsza niż w przypadku Mikmoda i
zdecydowanie przewyższa Winampa.

%package devel
Summary:	Header files for libmodplug library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmodplug
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for libmodplug library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmodplug.

%package static
Summary:	Static libmodplug library
Summary(pl.UTF-8):	Statyczna biblioteka libmodplug
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmodplug library.

%description static -l pl.UTF-8
Statyczna biblioteka libmodplug.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libmodplug.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmodplug.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmodplug.so
%{_libdir}/libmodplug.la
%{_includedir}/libmodplug
%{_pkgconfigdir}/libmodplug.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmodplug.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmodplug.spec,v $
Revision 1.13  2011/08/10 16:17:13  qboosh
- updated to 0.8.8.4 (security fixes: SA45131/A,B,C)

Revision 1.12  2011/05/16 16:15:52  qboosh
- CVE note for 0.8.8.2

Revision 1.11  2011/05/09 18:07:18  qboosh
- updated to 0.8.8.3

Revision 1.10  2011/04/04 15:13:20  qboosh
- updated to 0.8.8.2 [fixes CVE-2011-1574]

Revision 1.9  2010/08/14 14:26:24  qboosh
- updated to 0.8.8.1 (soname changed)

Revision 1.8  2009/09/06 01:57:58  lkrotowski
- up to 0.8.7

Revision 1.7  2008/07/27 23:04:55  arekm
- release 2

Revision 1.6  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.4  2006/11/15 20:32:02  qboosh
- updated to 0.8.4 (fixes CVE-2006-4192)

Revision 1.3  2006/03/21 16:47:57  djurban
- updated to 0.8

Revision 1.2  2004/09/06 22:38:36  qboosh
- strict internal deps

Revision 1.1  2003/10/17 20:15:01  qboosh
- new
